Subject: bug#25963: 25.2; tramp su fails

From: Michael Albinus <[email-masked]>
Date: Sat, 04 Mar 2017 14:37:11 +0100

Tyler Smith <[email-masked]> writes:

> Hello,

Hi Tyler,

> From emacs -Q, I issue
> `(require 'tramp)`, customize tramp-verbose to 10, and try to open a
> file as root: `C-x C-f /su::/etc/fstab`. I'm then prompted for my root
> password. Entering the password, Emacs pauses for ca. 10 seconds, then
> appears to open a new file called fstab, but it's not the fstab that
> already exists in /etc/fstab. The message about calling make-directory
> to create the parent directories shows up, so I've apparently opened a
> new file somewhere. I can't see where, exactly, as `C-x C-f`, or even
> `M-x shell-commmand pwd` both prompt me for the root password, and then
> fail. 
>
> Despite having turned `tramp-verbose` to the maximum value, there's not
> much in my *Messages* buffer after all this:
>
> Creating customization setup...done  
> Tramp: Opening connection for root@<myhostname> using su...  
> Tramp: Sending command ‘exec su - root’  
> Tramp: Waiting for prompts from remote shell...  
> Tramp: Sending Password  
> Tramp: Waiting for prompts from remote shell...failed  
> Tramp: Opening connection for root@<myhostname> using su...failed  

This tells us that the su command hasn't been successful. When you have
turned `tramp-verbose' to 10, there is a Tramp debug buffer. Pls show this.

> Best,
> Tyler

Best regards, Michael.